<template>
    <div>
        <h1 style="margin-top: 10px;">
            Révisions
        </h1>

        <div
            class="uk-text-large uk-text-center uk-margin-large-top"
            v-if="problemes.length == 0"
        >
            <p>Tu as tout révisé pour l'instant !</p>
            <p>
                Vérifies si tu n'as pas des
                <router-link tag="a" :to="{ name: 'NouveauxProblemes' }">
                    nouveaux problemes
                </router-link>
                en attente
            </p>
        </div>
        <ProblemeCarousel
            :problemes="problemes"
            :etapeApprentissage="'revisions'"
        />
    </div>
</template>
<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import Axios from '@/auth/axiosAuth';
import ProblemeCarousel from './ProblemeCarousel.vue';

@Component({
    components: { ProblemeCarousel }
})
export default class Revision extends Vue {
    problemes: any[] = [];

    beforeRouteEnter(to, from, next) {
        next(vm => {
            Axios.get('revisions/' + vm.$auth.user.id, response => {
                vm.problemes = response.data;
            });
        });
    }
}
</script>
